Bug 983331 - Some command need return 'false' for the non-support groups of command
Some command need return 'false' for the non-support groups of command
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 982979
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 22:16 EDT by bfan
Modified: 2013-07-19 06:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 982979
Environment:
Last Closed: 2013-07-19 06:44:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfan 2013-07-10 22:16:27 EDT
+++ This bug was initially created as a clone of Bug #982979 +++

Description of problem:
fstrim and btrfs are not supported in RHEL 6, command 'supported' and 'available' has wrong output for them


Version-Release number of selected component (if applicable):
libguestfs-1.20.9-6.el6.x86_64


How reproducible:
100%


Steps to Reproduce:
><fs> supported
         acl yes
      augeas yes
       btrfs yes
      fstrim yes
       gdisk no
        grub yes
       hivex yes
     inotify yes
         ldm no
   linuxcaps yes
 linuxfsuuid yes
linuxmodules yes
 linuxxattrs yes
        luks yes
        lvm2 yes
       mdadm yes
       mknod yes
      ntfs3g yes
   ntfsprogs yes
    realpath yes
       rsync yes
       scrub yes
     selinux yes
      wipefs yes
         xfs no
          xz yes
    zerofree no

><fs> available fstrim
><fs> available btrfs


Actual result:
Commands does not give error for fstrim and btrfs


Expect result:
Commands should give error for fstrim and btrfs


Additional info:
Same issue in rhel7
Comment 1 Richard W.M. Jones 2013-07-18 09:50:27 EDT
See:
https://bugzilla.redhat.com/show_bug.cgi?id=982979#c1
Comment 2 Richard W.M. Jones 2013-07-19 06:44:10 EDT
This is NOTABUG since:

 - btrfs is tech preview or possibly going to be supported in RHEL 7

 - fstrim should either work or be made to work in RHEL 7

Note You need to log in before you can comment on or make changes to this bug.